Bug Hunting Session
Bug 93694 - Not possible to enable table header rows repeat from menubar
Summary: Not possible to enable table header rows repeat from menubar
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2015-08-27 02:17 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-12-03 14:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screencast (1.75 MB, video/webm)
2015-09-12 18:54 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-08-27 02:17:33 UTC
Steps:
1) Open Writer
2) Insert table
3) Activate Table > Repeat Heading Rows
4) Deactivate Table > Repeat Heading Rows
5) Add a row to the table
6) Notice that Table > Repeat Heading Rows is disabled.

Version: 5.1.0.0.alpha1+
Build ID: b712b1f63492a311e4a51cffd516b3e202a140e6
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-08-23_06:03:52
Locale: en-US (en_US.UTF-8)
Comment 1 Buovjaga 2015-09-12 14:48:10 UTC
Isn't 6) exactly the desired outcome after disabling the Heading rows repeat?
I don't understand the relation of the summary to the description. Is "menubar" the menu or toolbar?
Comment 2 Yousuf Philips (jay) (retired) 2015-09-12 18:02:47 UTC
(In reply to Beluga from comment #1)
> Isn't 6) exactly the desired outcome after disabling the Heading rows repeat?

No. You should be able to turn this on and off as you like, just like you can do so in the Table > Table Properties > Text Flow > Repeat Heading. If you leave out step 5, it wont be disabled in step 6.

> I don't understand the relation of the summary to the description. Is
> "menubar" the menu or toolbar?

Yes menubar is the correct word for the bar at the top which contains the menu.
https://en.wikipedia.org/wiki/Menu_bar
Comment 3 Buovjaga 2015-09-12 18:44:31 UTC
Ok it seems I wasn't parsing correctly. It seems by "disabled" you mean it is somehow greyed out or something, unable to change the state at all.
Well, I'm not seeing this in the menu or table properties so leaving as unco.

Win 7 Pro 64-bit, Version: 5.0.1.2 (32-bit)
Build ID: 81898c9f5c0d43f3473ba111d7b351050be20261
Locale: fi-FI (fi_FI)
Comment 4 Yousuf Philips (jay) (retired) 2015-09-12 18:54:14 UTC
Created attachment 118647 [details]
screencast

Well encase my instructions werent good enough for you to get it, hopefully this screencast will make it easier.
Comment 5 Buovjaga 2015-09-12 18:59:46 UTC
Linux only?

Still no repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 88c51cd55d1a9b29e62269c53b3923770253ab07
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-09-11_13:09:15
Locale: en-US (fi_FI)
Comment 6 Cor Nouws 2015-12-03 14:27:32 UTC
In 3.3.0 the same problem (menu greyed out, only it shows a Tick before, although it had be turned off in the previous stepp..)
Comment 7 QA Administrators 2017-01-03 19:40:53 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2019-12-03 14:45:25 UTC
Dear Yousuf Philips (jay),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug